SUSE Linux Enterprise Server 12 64bits

Logs

====== Attempt #1

-----> Fetching repository

Cloning into '/tmp/d20230125-7-1t19rs6/input'...

-----> Setting up package repository...

-----> Starting packaging process

-----> Starting service postgres:13...

-----> Additional environment variables

UUID=6bebc9e3-1ff3-4384-a9cb-0afb3f7d35c9

DATABASE_URL=postgres://postgres:V1MRZZudOGeVd5ab@65.108.144.194:58001/postgres

DATABASE_HOST=65.108.144.194

DATABASE_PORT=58001

HOME=/home/pkgr

-----> Found valid cache

-----> Restoring cache...

-----> Fetching pkgr 9385509bed28ee45b7059f9edbed81f4ced0594a...

-----> Starting packaging process...

-----> Installing missing build dependencies: postgresql-devel, https://ftp.gwdg.de/pub/opensuse/discontinued/distribution/12.3/repo/oss/suse/x86_64/imlib2-1.4.5-12.1.1.x86_64.rpm, https://ftp.gwdg.de/pub/opensuse/discontinued/distribution/12.3/repo/oss/suse/x86_64/imlib2-devel-1.4.5-12.1.1.x86_64.rpm, https://ftp.gwdg.de/pub/opensuse/discontinued/distribution/12.3/repo/oss/suse/x86_64/imlib2-filters-1.4.5-12.1.1.x86_64.rpm, https://ftp.gwdg.de/pub/opensuse/discontinued/distribution/12.3/repo/oss/suse/x86_64/libImlib2-1-1.4.5-12.1.1.x86_64.rpm, shared-mime-info

-----> Fetching buildpack https://github.com/pkgr/heroku-buildpack-ruby.git at v242-1

-----> Running hook: "/tmp/before_hook20230125-37-vem550.sh"

+ uname -a

Linux c1dada9e4748 5.4.0-131-generic #147-Ubuntu SMP Fri Oct 14 17:07:22 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

+ ruby -v

ruby 2.4.4p296 (2018-03-28 revision 63013) [x86_64-linux]

+ env

ZAMMAD_RAILS_PORT=3000

APP_PKG_ITERATION=1674635262.135384c4.sles12

APP_NAME=zammad

APP_PKG_VERSION=5.4.0-alpha

ZAMMAD_WEBSOCKET_PORT=6042

DATABASE_PORT=58001

ZAMMAD_BIND_IP=127.0.0.1

PATH=/usr/local/bin:/usr/bin:/bin

DATABASE_HOST=65.108.144.194

UUID=6bebc9e3-1ff3-4384-a9cb-0afb3f7d35c9

PWD=/tmp/d20230125-37-1hj77ix/opt/zammad

HOME=/home/pkgr

SHLVL=2

RAILS_ENV=production

TARGET=sles:12

DATABASE_URL=postgres://postgres:V1MRZZudOGeVd5ab@65.108.144.194:58001/postgres

_=/usr/bin/env

+ cat Gemfile.lock

GIT

remote: https://github.com/zammad-deps/autodiscover

revision: ee9b53dfa797ce6d4f970b82beea7fbdd2df56bb

specs:

autodiscover (1.0.2)

httpclient

logging

nokogiri

nori

GEM

remote: https://rubygems.org/

specs:

PoParser (3.2.6)

simple_po_parser (~> 1.1.6)

aasm (5.4.0)

concurrent-ruby (~> 1.0)

actioncable (6.1.7.1)

actionpack (= 6.1.7.1)

activesupport (= 6.1.7.1)

nio4r (~> 2.0)

websocket-driver (>= 0.6.1)

actionmailbox (6.1.7.1)

actionpack (= 6.1.7.1)

activejob (= 6.1.7.1)

activerecord (= 6.1.7.1)

activestorage (= 6.1.7.1)

activesupport (= 6.1.7.1)

mail (>= 2.7.1)

actionmailer (6.1.7.1)

actionpack (= 6.1.7.1)

actionview (= 6.1.7.1)

activejob (= 6.1.7.1)

activesupport (= 6.1.7.1)

mail (~> 2.5, >= 2.5.4)

rails-dom-testing (~> 2.0)

actionpack (6.1.7.1)

actionview (= 6.1.7.1)

activesupport (= 6.1.7.1)

rack (~> 2.0, >= 2.0.9)

rack-test (>= 0.6.3)

rails-dom-testing (~> 2.0)

rails-html-sanitizer (~> 1.0, >= 1.2.0)

actiontext (6.1.7.1)

actionpack (= 6.1.7.1)

activerecord (= 6.1.7.1)

activestorage (= 6.1.7.1)

activesupport (= 6.1.7.1)

nokogiri (>= 1.8.5)

actionview (6.1.7.1)

activesupport (= 6.1.7.1)

builder (~> 3.1)

erubi (~> 1.4)

rails-dom-testing (~> 2.0)

rails-html-sanitizer (~> 1.1, >= 1.2.0)

activejob (6.1.7.1)

activesupport (= 6.1.7.1)

globalid (>= 0.3.6)

activemodel (6.1.7.1)

activesupport (= 6.1.7.1)

activerecord (6.1.7.1)

activemodel (= 6.1.7.1)

activesupport (= 6.1.7.1)

activerecord-import (1.4.1)

activerecord (>= 4.2)

activerecord-nulldb-adapter (0.8.0)

activerecord (>= 5.2.0, < 7.1)

activerecord-session_store (2.0.0)

actionpack (>= 5.2.4.1)

activerecord (>= 5.2.4.1)

multi_json (~> 1.11, >= 1.11.2)

rack (>= 2.0.8, < 3)

railties (>= 5.2.4.1)

activestorage (6.1.7.1)

actionpack (= 6.1.7.1)

activejob (= 6.1.7.1)

activerecord (= 6.1.7.1)

activesupport (= 6.1.7.1)

marcel (~> 1.0)

mini_mime (>= 1.1.0)

activesupport (6.1.7.1)

concurrent-ruby (~> 1.0, >= 1.0.2)

i18n (>= 1.6, < 2)

minitest (>= 5.1)

tzinfo (~> 2.0)

zeitwerk (~> 2.3)

acts_as_list (1.0.4)

activerecord (>= 4.2)

addressable (2.8.1)

public_suffix (>= 2.0.2, < 6.0)

argon2 (2.2.0)

ffi (~> 1.15)

ffi-compiler (~> 1.0)

ast (2.4.2)

autoprefixer-rails (10.4.7.0)

execjs (~> 2)

axiom-types (0.1.1)

descendants_tracker (~> 0.0.4)

ice_nine (~> 0.11.0)

thread_safe (~> 0.3, >= 0.3.1)

binding_of_caller (1.0.0)

debug_inspector (>= 0.0.1)

biz (1.8.2)

clavius (~> 1.0)

tzinfo

bootsnap (1.15.0)

msgpack (~> 1.2)

brakeman (5.4.0)

browser (5.3.1)

buftok (0.2.0)

builder (3.2.4)

byebug (11.1.3)

byk (1.1.0)

capybara (3.38.0)

addressable

matrix

mini_mime (>= 0.1.3)

nokogiri (~> 1.8)

rack (>= 1.6.0)

rack-test (>= 0.6.3)

regexp_parser (>= 1.5, < 3.0)

xpath (~> 3.2)

childprocess (4.1.0)

chunky_png (1.4.0)

clavius (1.0.4)

clearbit (0.3.3)

nestful (~> 1.1.0)

coderay (1.1.3)

coercible (1.0.0)

descendants_tracker (~> 0.0.1)

coffee-rails (5.0.0)

coffee-script (>= 2.2.0)

railties (>= 5.2.0)

coffee-script (2.4.1)

coffee-script-source

execjs

coffee-script-source (1.12.2)

composite_primary_keys (13.0.4)

activerecord (~> 6.1.0)

concurrent-ruby (1.1.10)

crack (0.4.5)

rexml

crass (1.0.6)

csv (3.2.6)

daemons (1.4.1)

dalli (3.2.3)

date (3.3.3)

debug_inspector (1.1.0)

delayed_job (4.1.11)

activesupport (>= 3.0, < 8.0)

delayed_job_active_record (4.1.7)

activerecord (>= 3.0, < 8.0)

delayed_job (>= 3.0, < 5)

deprecation_toolkit (2.0.1)

activesupport (>= 5.2)

descendants_tracker (0.0.4)

thread_safe (~> 0.3, >= 0.3.1)

diff-lcs (1.5.0)

diffy (3.4.2)

domain_name (0.5.20190701)

unf (>= 0.0.5, < 1.0.0)

doorkeeper (5.6.2)

railties (>= 5)

dotenv (2.8.1)

dry-cli (0.7.0)

dry-inflector (1.0.0)

eco (1.0.0)

coffee-script

eco-source

execjs

eco-source (1.1.0.rc.1)

em-websocket (0.5.3)

eventmachine (>= 0.12.9)

http_parser.rb (~> 0)

email_address (0.2.4)

simpleidn

equalizer (0.0.11)

erubi (1.11.0)

eventmachine (1.2.7)

execjs (2.8.1)

factory_bot (6.2.1)

activesupport (>= 5.0.0)

factory_bot_rails (6.2.0)

factory_bot (~> 6.2.0)

railties (>= 5.0.0)

faker (3.1.0)

i18n (>= 1.8.11, < 2)

faraday (1.10.3)

faraday-em_http (~> 1.0)

faraday-em_synchrony (~> 1.0)

faraday-excon (~> 1.1)

faraday-httpclient (~> 1.0)

faraday-multipart (~> 1.0)

faraday-net_http (~> 1.0)

faraday-net_http_persistent (~> 1.0)

faraday-patron (~> 1.0)

faraday-rack (~> 1.0)

faraday-retry (~> 1.0)

ruby2_keywords (>= 0.0.4)

faraday-em_http (1.0.0)

faraday-em_synchrony (1.0.0)

faraday-excon (1.1.0)

faraday-httpclient (1.0.1)

faraday-multipart (1.0.4)

multipart-post (~> 2)

faraday-net_http (1.0.1)

faraday-net_http_persistent (1.2.0)

faraday-patron (1.0.0)

faraday-rack (1.0.0)

faraday-retry (1.0.3)

faraday_middleware (1.2.0)

faraday (~> 1.0)

ffi (1.15.5)

ffi-compiler (1.0.1)

ffi (>= 1.0.0)

rake

gli (2.21.0)

globalid (1.0.1)

activesupport (>= 5.0)

gmail_xoauth (0.4.2)

oauth (>= 0.3.6)

graphql (2.0.16)

graphql-batch (0.5.2)

graphql (>= 1.10, < 3)

promise.rb (~> 0.7.2)

hashdiff (1.0.1)

hashie (5.0.0)

hiredis (0.6.3)

htmlentities (4.3.4)

http (4.4.1)

addressable (~> 2.3)

http-cookie (~> 1.0)

http-form_data (~> 2.2)

http-parser (~> 1.2.0)

http-cookie (1.0.5)

domain_name (~> 0.5)

http-form_data (2.3.0)

http-parser (1.2.3)

ffi-compiler (>= 1.0, < 2.0)

http_parser.rb (0.6.0)

httpclient (2.8.3)

i18n (1.12.0)

concurrent-ruby (~> 1.0)

icalendar (2.8.0)

ice_cube (~> 0.16)

icalendar-recurrence (1.1.3)

icalendar (~> 2.0)

ice_cube (~> 0.16)

ice_cube (0.16.4)

ice_nine (0.11.2)

inflection (1.0.0)

iniparse (1.5.0)

interception (0.5)

json (2.6.3)

jwt (2.3.0)

kgio (2.11.4)

koala (3.4.0)

addressable

faraday

faraday-multipart

json (>= 1.8)

rexml

listen (3.8.0)

rb-fsevent (~> 0.10, >= 0.10.3)

rb-inotify (~> 0.9, >= 0.9.10)

little-plugger (1.1.4)

logging (2.3.1)

little-plugger (~> 1.1)

multi_json (~> 1.14)

loofah (2.19.1)

crass (~> 1.0.2)

nokogiri (>= 1.5.9)

mail (2.8.0.1)

mini_mime (>= 0.1.1)

net-imap

net-pop

net-smtp

marcel (1.0.2)

matrix (0.4.2)

memoizable (0.4.2)

thread_safe (~> 0.3, >= 0.3.1)

messagebird-rest (4.0.0)

jwt (~> 2.3.0)

method_source (1.0.0)

mime-types (3.4.1)

mime-types-data (~> 3.2015)

mime-types-data (3.2022.0105)

mini_mime (1.1.2)

mini_portile2 (2.8.1)

minitest (5.17.0)

minitest-profile (0.0.2)

msgpack (1.6.0)

multi_json (1.15.0)

multi_xml (0.6.0)

multipart-post (2.2.3)

mysql2 (0.5.5)

naught (1.1.0)

nestful (1.1.4)

net-ftp (0.2.0)

net-protocol

time

net-http (0.3.2)

uri

net-imap (0.3.4)

date

net-protocol

net-ldap (0.17.1)

net-pop (0.1.2)

net-protocol

net-protocol (0.2.1)

timeout

net-smtp (0.3.3)

net-protocol

nio4r (2.5.8)

nokogiri (1.13.10)

mini_portile2 (~> 2.8.0)

racc (~> 1.4)

nori (2.6.0)

oauth (1.1.0)

oauth-tty (~> 1.0, >= 1.0.1)

snaky_hash (~> 2.0)

version_gem (~> 1.1)

oauth-tty (1.0.5)

version_gem (~> 1.1, >= 1.1.1)

oauth2 (2.0.9)

faraday (>= 0.17.3, < 3.0)

jwt (>= 1.0, < 3.0)

multi_xml (~> 0.5)

rack (>= 1.2, < 4)

snaky_hash (~> 2.0)

version_gem (~> 1.1)

omniauth (1.9.2)

hashie (>= 3.4.6)

rack (>= 1.6.2, < 3)

omniauth-facebook (9.0.0)

omniauth-oauth2 (~> 1.2)

omniauth-github (1.4.0)

omniauth (~> 1.5)

omniauth-oauth2 (>= 1.4.0, < 2.0)

omniauth-gitlab (2.0.0)

omniauth (~> 1.0)

omniauth-oauth2 (~> 1.0)

omniauth-google-oauth2 (0.8.0)

jwt (>= 2.0)

omniauth (>= 1.1.1)

omniauth-oauth2 (>= 1.6)

omniauth-linkedin-oauth2 (1.0.0)

omniauth-oauth2

omniauth-microsoft-office365 (0.0.8)

omniauth

omniauth-oauth2

omniauth-oauth (1.2.0)

oauth

omniauth (>= 1.0, < 3)

omniauth-oauth2 (1.7.3)

oauth2 (>= 1.4, < 3)

omniauth (>= 1.9, < 3)

omniauth-rails_csrf_protection (0.1.2)

actionpack (>= 4.2)

omniauth (>= 1.3.1)

omniauth-saml (1.10.3)

omniauth (~> 1.3, >= 1.3.2)

ruby-saml (~> 1.9)

omniauth-twitter (1.4.0)

omniauth-oauth (~> 1.1)

rack

omniauth-weibo-oauth2 (0.5.2)

omniauth (~> 1.5)

omniauth-oauth2 (>= 1.4.0)

openssl (3.1.0)

overcommit (0.60.0)

childprocess (>= 0.6.3, < 5)

iniparse (~> 1.4)

rexml (~> 3.2)

parallel (1.22.1)

parser (3.2.0.0)

ast (~> 2.4.1)

pg (1.2.3)

power_assert (2.0.2)

promise.rb (0.7.4)

pry (0.14.1)

coderay (~> 1.1)

method_source (~> 1.0)

pry-rails (0.3.9)

pry (>= 0.10.4)

pry-remote (0.1.8)

pry (~> 0.9)

slop (~> 3.0)

pry-rescue (1.5.2)

interception (>= 0.5)

pry (>= 0.12.0)

pry-stack_explorer (0.6.1)

binding_of_caller (~> 1.0)

pry (~> 0.13)

public_suffix (5.0.1)

puma (4.3.12)

nio4r (~> 2.0)

pundit (2.3.0)

activesupport (>= 3.0.0)

pundit-matchers (1.8.4)

rspec-rails (>= 3.0.0)

racc (1.6.2)

rack (2.2.6.2)

rack-attack (6.6.1)

rack (>= 1.0, < 3)

rack-proxy (0.7.4)

rack

rack-test (2.0.2)

rack (>= 1.3)

rails (6.1.7.1)

actioncable (= 6.1.7.1)

actionmailbox (= 6.1.7.1)

actionmailer (= 6.1.7.1)

actionpack (= 6.1.7.1)

actiontext (= 6.1.7.1)

actionview (= 6.1.7.1)

activejob (= 6.1.7.1)

activemodel (= 6.1.7.1)

activerecord (= 6.1.7.1)

activestorage (= 6.1.7.1)

activesupport (= 6.1.7.1)

bundler (>= 1.15.0)

railties (= 6.1.7.1)

sprockets-rails (>= 2.0.0)

rails-controller-testing (1.0.5)

actionpack (>= 5.0.1.rc1)

actionview (>= 5.0.1.rc1)

activesupport (>= 5.0.1.rc1)

rails-dom-testing (2.0.3)

activesupport (>= 4.2.0)

nokogiri (>= 1.6)

rails-html-sanitizer (1.4.4)

loofah (~> 2.19, >= 2.19.1)

railties (6.1.7.1)

actionpack (= 6.1.7.1)

activesupport (= 6.1.7.1)

method_source

rake (>= 12.2)

thor (~> 1.0)

rainbow (3.1.1)

raindrops (0.20.0)

rake (13.0.6)

rb-fsevent (0.11.2)

rb-inotify (0.10.1)

ffi (~> 1.0)

rchardet (1.8.0)

redis (4.8.0)

regexp_parser (2.6.2)

rexml (3.2.5)

rspec-core (3.12.0)

rspec-support (~> 3.12.0)

rspec-expectations (3.12.0)

diff-lcs (>= 1.2.0, < 2.0)

rspec-support (~> 3.12.0)

rspec-mocks (3.12.0)

diff-lcs (>= 1.2.0, < 2.0)

rspec-support (~> 3.12.0)

rspec-rails (6.0.1)

actionpack (>= 6.1)

activesupport (>= 6.1)

railties (>= 6.1)

rspec-core (~> 3.11)

rspec-expectations (~> 3.11)

rspec-mocks (~> 3.11)

rspec-support (~> 3.11)

rspec-retry (0.6.2)

rspec-core (> 3.3)

rspec-support (3.12.0)

rszr (1.3.0)

rubocop (1.44.0)

json (~> 2.3)

parallel (~> 1.10)

parser (>= 3.2.0.0)

rainbow (>= 2.2.2, < 4.0)

regexp_parser (>= 1.8, < 3.0)

rexml (>= 3.2.5, < 4.0)

rubocop-ast (>= 1.24.1, < 2.0)

ruby-progressbar (~> 1.7)

unicode-display_width (>= 2.4.0, < 3.0)

rubocop-ast (1.24.1)

parser (>= 3.1.1.0)

rubocop-capybara (2.17.0)

rubocop (~> 1.41)

rubocop-faker (1.1.0)

faker (>= 2.12.0)

rubocop (>= 0.82.0)

rubocop-graphql (0.19.0)

rubocop (>= 0.87, < 2)

rubocop-inflector (0.2.1)

activesupport

rubocop

rubocop-rspec

rubocop-performance (1.15.2)

rubocop (>= 1.7.0, < 2.0)

rubocop-ast (>= 0.4.0)

rubocop-rails (2.17.4)

activesupport (>= 4.2.0)

rack (>= 1.1)

rubocop (>= 1.33.0, < 2.0)

rubocop-rspec (2.18.1)

rubocop (~> 1.33)

rubocop-capybara (~> 2.17)

ruby-progressbar (1.11.0)

ruby-saml (1.14.0)

nokogiri (>= 1.10.5)

rexml

ruby2_keywords (0.0.5)

rubyntlm (0.6.3)

rubyzip (2.3.2)

sassc (2.4.0)

ffi (~> 1.9)

sassc-rails (2.1.2)

railties (>= 4.0.0)

sassc (>= 2.0)

sprockets (> 3.0)

sprockets-rails

tilt

selenium-webdriver (4.8.0)

rexml (~> 3.2, >= 3.2.5)

rubyzip (>= 1.2.2, < 3.0)

websocket (~> 1.0)

shoulda-matchers (5.3.0)

activesupport (>= 5.2.0)

simple_oauth (0.3.1)

simple_po_parser (1.1.6)

simpleidn (0.2.1)

unf (~> 0.1.4)

slack-notifier (2.4.0)

slack-ruby-client (1.0.0)

faraday (>= 1.0)

faraday_middleware

gli

hashie

websocket-driver

slop (3.6.0)

snaky_hash (2.0.1)

hashie

version_gem (~> 1.1, >= 1.1.1)

sprockets (3.7.2)

concurrent-ruby (~> 1.0)

rack (> 1, < 3)

sprockets-rails (3.4.2)

actionpack (>= 5.2)

activesupport (>= 5.2)

sprockets (>= 3.0.0)

tcr (0.2.2)

telegram-bot-ruby (0.19.2)

dry-inflector

faraday (~> 1.0)

virtus (~> 2.0)

telephone_number (1.4.18)

terser (1.1.13)

execjs (>= 0.3.0, < 3)

test-unit (3.5.7)

power_assert

thor (1.2.1)

thread_safe (0.3.6)

tilt (2.0.11)

time (0.2.1)

date

timeout (0.3.1)

twilio-ruby (5.74.1)

faraday (>= 0.9, < 3.0)

jwt (>= 1.5, <= 2.6)

nokogiri (>= 1.6, < 2.0)

twitter (7.0.0)

addressable (~> 2.3)

buftok (~> 0.2.0)

equalizer (~> 0.0.11)

http (~> 4.0)

http-form_data (~> 2.0)

http_parser.rb (~> 0.6.0)

memoizable (~> 0.4.0)

multipart-post (~> 2.0)

naught (~> 1.0)

simple_oauth (~> 0.3.0)

tzinfo (2.0.5)

concurrent-ruby (~> 1.0)

tzinfo-data (1.2022.7)

tzinfo (>= 1.0.0)

unf (0.1.4)

unf_ext

unf_ext (0.0.8.2)

unicode-display_width (2.4.2)

unicorn (6.1.0)

kgio (~> 2.6)

raindrops (~> 0.7)

uri (0.12.0)

vcr (6.1.0)

version_gem (1.1.1)

viewpoint (1.1.1)

httpclient

logging

nokogiri

rubyntlm

virtus (2.0.0)

axiom-types (~> 0.1)

coercible (~> 1.0)

descendants_tracker (~> 0.0, >= 0.0.3)

vite_rails (3.0.13)

railties (>= 5.1, < 8)

vite_ruby (~> 3.0, >= 3.2.2)

vite_ruby (3.2.11)

dry-cli (~> 0.7.0)

rack-proxy (~> 0.6, >= 0.6.1)

zeitwerk (~> 2.2)

webmock (3.18.1)

addressable (>= 2.8.0)

crack (>= 0.3.2)

hashdiff (>= 0.4.0, < 2.0.0)

websocket (1.2.9)

websocket-driver (0.7.5)

websocket-extensions (>= 0.1.0)

websocket-extensions (0.1.5)

writeexcel (1.0.5)

xpath (3.2.0)

nokogiri (~> 1.8)

zeitwerk (2.6.6)

zendesk_api (1.37.0)

faraday (>= 0.9.0, < 2.0.0)

hashie (>= 3.5.2, < 6.0.0)

inflection

mini_mime

multipart-post (~> 2.0)

PLATFORMS

ruby

DEPENDENCIES

PoParser

aasm

activerecord-import

activerecord-nulldb-adapter

activerecord-session_store

acts_as_list

argon2

autodiscover!

autoprefixer-rails

biz

bootsnap

brakeman

browser

byebug

byk

capybara

chunky_png

clearbit

coffee-rails

composite_primary_keys

csv

daemons

dalli

delayed_job_active_record

deprecation_toolkit

diffy

doorkeeper

dotenv

eco

em-websocket

email_address

eventmachine

execjs

factory_bot_rails

faker

gmail_xoauth

graphql

graphql-batch

hiredis

htmlentities

icalendar

icalendar-recurrence

json

koala

listen

mail

messagebird-rest

mime-types

minitest-profile

mysql2

net-ftp

net-http

net-imap

net-ldap

net-pop

net-smtp

oauth2

omniauth-facebook

omniauth-github

omniauth-gitlab

omniauth-google-oauth2

omniauth-linkedin-oauth2

omniauth-microsoft-office365

omniauth-rails_csrf_protection

omniauth-saml

omniauth-twitter

omniauth-weibo-oauth2

openssl

overcommit

pg (~> 1.2.0)

pry-rails

pry-remote

pry-rescue

pry-stack_explorer

puma (~> 4)

pundit

pundit-matchers

rack-attack

rails (~> 6.1.0)

rails-controller-testing

rchardet (>= 1.8.0)

redis (>= 3, < 5)

rspec-rails

rspec-retry

rszr

rubocop

rubocop-faker

rubocop-graphql

rubocop-inflector

rubocop-performance

rubocop-rails

rubocop-rspec

sassc-rails

selenium-webdriver

shoulda-matchers

simpleidn

slack-notifier

slack-ruby-client

sprockets (~> 3.7.2)

tcr

telegram-bot-ruby

telephone_number

terser

test-unit

thor

twilio-ruby

twitter

tzinfo-data

unicorn

vcr

viewpoint

vite_rails

webmock

writeexcel

zendesk_api

RUBY VERSION

ruby 3.1.3p185

BUNDLED WITH

2.4.1

+ '[' -z 1674635262.135384c4.sles12 ']'

+ ZAMMAD_VERSION=5.4.0-alpha-1674635262.135384c4.sles12

+ echo 'Setting VERSION information to 5.4.0-alpha-1674635262.135384c4.sles12'

Setting VERSION information to 5.4.0-alpha-1674635262.135384c4.sles12

+ echo 5.4.0-alpha-1674635262.135384c4.sles12

+ script/build/cleanup.sh

+ rm app/assets/javascripts/app/controllers/layout_ref.coffee

+ rm -rf app/assets/javascripts/app/views/layout_ref/

+ rm -rf test spec app/frontend/tests app/frontend/cypress .cypress

+ find app/frontend/ -type d -name __tests__ -exec rm -rf '{}' +

+ rm .rspec

+ find app/frontend/ -name '*.story.vue' -exec rm '{}' +

+ rm .yarnrc

+ rm -rf .yarn/cache

+ rm -rf .github .gitlab

+ rm .gitlab-ci.yml

+ rm .rubocop.yml

+ rm -rf .rubocop

+ rm .stylelintrc.json .eslintignore .eslintrc .eslintrc.js .prettierrc.json

+ rm coffeelint.json

+ rm -rf .coffeelint

+ rm .overcommit.sh .overcommit.yml

+ rm .codeclimate.yml

+ rm -rf doc/developer_manual

-----> Ruby app

which: no java in (/tmp/tmp.8wQxOUFUoo/bin/:/usr/local/bin:/usr/bin:/bin)

-----> Installing bundler 2.3.10

-----> Removing BUNDLED WITH version in the Gemfile.lock

-----> Compiling Ruby/Rails

-----> Using Ruby version: ruby-3.1.3

cp: '/my/cache/vendor/bundle/.' and '/my/cache/vendor/bundle/.' are the same file

-----> Installing dependencies using bundler 2.3.10

Running: BUNDLE_WITHOUT='development:test' BUNDLE_PATH=vendor/bundle BUNDLE_BIN=vendor/bundle/bin BUNDLE_DEPLOYMENT=1 bundle install -j4

Using rake 13.0.6

Using simple_po_parser 1.1.6

Using PoParser 3.2.6

Using concurrent-ruby 1.1.10

Using aasm 5.4.0

Using i18n 1.12.0

Using minitest 5.17.0

Using tzinfo 2.0.5

Using zeitwerk 2.6.6

Using activesupport 6.1.7.1

Using builder 3.2.4

Using erubi 1.11.0

Using racc 1.6.2

Using nokogiri 1.13.10 (x86_64-linux)

Using rails-dom-testing 2.0.3

Using crass 1.0.6

Using loofah 2.19.1

Using rails-html-sanitizer 1.4.4

Using actionview 6.1.7.1

Using rack 2.2.6.2

Using rack-test 2.0.2

Using actionpack 6.1.7.1

Using nio4r 2.5.8

Using websocket-extensions 0.1.5

Using websocket-driver 0.7.5

Using actioncable 6.1.7.1

Using globalid 1.0.1

Using activejob 6.1.7.1

Using activemodel 6.1.7.1

Using activerecord 6.1.7.1

Using marcel 1.0.2

Using mini_mime 1.1.2

Using activestorage 6.1.7.1

Using date 3.3.3

Using timeout 0.3.1

Using net-protocol 0.2.1

Using net-imap 0.3.4

Using net-pop 0.1.2

Using net-smtp 0.3.3

Using mail 2.8.0.1

Using actionmailbox 6.1.7.1

Using actionmailer 6.1.7.1

Using actiontext 6.1.7.1

Using activerecord-import 1.4.1

Using activerecord-nulldb-adapter 0.8.0

Using multi_json 1.15.0

Using method_source 1.0.0

Using thor 1.2.1

Using railties 6.1.7.1

Using activerecord-session_store 2.0.0

Using acts_as_list 1.0.4

Using public_suffix 5.0.1

Using addressable 2.8.1

Using ffi 1.15.5

Using ffi-compiler 1.0.1

Using argon2 2.2.0

Using httpclient 2.8.3

Using little-plugger 1.1.4

Using logging 2.3.1

Using nori 2.6.0

Using autodiscover 1.0.2 from https://github.com/zammad-deps/autodiscover

Using execjs 2.8.1

Using autoprefixer-rails 10.4.7.0

Using thread_safe 0.3.6

Using descendants_tracker 0.0.4

Using ice_nine 0.11.2

Using axiom-types 0.1.1

Using clavius 1.0.4

Using biz 1.8.2

Using msgpack 1.6.0

Using bootsnap 1.15.0

Using browser 5.3.1

Using buftok 0.2.0

Using bundler 2.3.26

Using byk 1.1.0

Using nestful 1.1.4

Using clearbit 0.3.3

Using coercible 1.0.0

Using coffee-script-source 1.12.2

Using coffee-script 2.4.1

Using coffee-rails 5.0.0

Using composite_primary_keys 13.0.4

Using csv 3.2.6

Using daemons 1.4.1

Using dalli 3.2.3

Using delayed_job 4.1.11

Using delayed_job_active_record 4.1.7

Using diffy 3.4.2

Using unf_ext 0.0.8.2

Using unf 0.1.4

Using domain_name 0.5.20190701

Using doorkeeper 5.6.2

Using dry-cli 0.7.0

Using dry-inflector 1.0.0

Using eco-source 1.1.0.rc.1

Using eco 1.0.0

Using eventmachine 1.2.7

Using http_parser.rb 0.6.0

Using em-websocket 0.5.3

Using simpleidn 0.2.1

Using email_address 0.2.4

Using equalizer 0.0.11

Using faraday-em_http 1.0.0

Using faraday-em_synchrony 1.0.0

Using faraday-excon 1.1.0

Using faraday-httpclient 1.0.1

Using multipart-post 2.2.3

Using faraday-multipart 1.0.4

Using faraday-net_http 1.0.1

Using faraday-net_http_persistent 1.2.0

Using faraday-patron 1.0.0

Using faraday-rack 1.0.0

Using faraday-retry 1.0.3

Using ruby2_keywords 0.0.5

Using faraday 1.10.3

Using version_gem 1.1.1

Using oauth-tty 1.0.5

Using hashie 5.0.0

Using snaky_hash 2.0.1

Using oauth 1.1.0

Using gmail_xoauth 0.4.2

Using graphql 2.0.16

Using promise.rb 0.7.4

Using graphql-batch 0.5.2

Using hiredis 0.6.3

Using htmlentities 4.3.4

Using http-cookie 1.0.5

Using http-form_data 2.3.0

Using http-parser 1.2.3

Using http 4.4.1

Using ice_cube 0.16.4

Using icalendar 2.8.0

Using icalendar-recurrence 1.1.3

Using inflection 1.0.0

Using json 2.6.3

Using jwt 2.3.0

Using kgio 2.11.4

Using rexml 3.2.5

Using koala 3.4.0

Using memoizable 0.4.2

Using messagebird-rest 4.0.0

Using mime-types-data 3.2022.0105

Using mime-types 3.4.1

Using multi_xml 0.6.0

Using mysql2 0.5.5

Using naught 1.1.0

Using time 0.2.1

Using net-ftp 0.2.0

Using uri 0.12.0

Using net-http 0.3.2

Using net-ldap 0.17.1

Using oauth2 2.0.9

Using omniauth 1.9.2

Using omniauth-oauth2 1.7.3

Using omniauth-facebook 9.0.0

Using omniauth-github 1.4.0

Using omniauth-gitlab 2.0.0

Using omniauth-google-oauth2 0.8.0

Using omniauth-linkedin-oauth2 1.0.0

Using omniauth-microsoft-office365 0.0.8

Using omniauth-oauth 1.2.0

Using omniauth-rails_csrf_protection 0.1.2

Using ruby-saml 1.14.0

Using omniauth-saml 1.10.3

Using omniauth-twitter 1.4.0

Using omniauth-weibo-oauth2 0.5.2

Using openssl 3.1.0

Using pg 1.2.3

Using puma 4.3.12

Using pundit 2.3.0

Using rack-attack 6.6.1

Using rack-proxy 0.7.4

Using sprockets 3.7.2

Using sprockets-rails 3.4.2

Using rails 6.1.7.1

Using raindrops 0.20.0

Using rchardet 1.8.0

Using redis 4.8.0

Using rszr 1.3.0

Using rubyntlm 0.6.3

Using sassc 2.4.0

Using tilt 2.0.11

Using sassc-rails 2.1.2

Using simple_oauth 0.3.1

Using slack-notifier 2.4.0

Using virtus 2.0.0

Using telegram-bot-ruby 0.19.2

Using telephone_number 1.4.18

Using terser 1.1.13

Using twilio-ruby 5.74.1

Using twitter 7.0.0

Using tzinfo-data 1.2022.7

Using unicorn 6.1.0

Using viewpoint 1.1.1

Using vite_ruby 3.2.11

Using vite_rails 3.0.13

Using writeexcel 1.0.5

Using zendesk_api 1.37.0

Bundle complete! 115 Gemfile dependencies, 198 gems now installed.

Gems in the groups 'development' and 'test' were not installed.

Bundled gems are installed into `./vendor/bundle`

1 installed gem you directly depend on is looking for funding.

Run `bundle fund` for details

Bundle completed (0.54s)

Cleaning up the bundler cache.

Removing bundler (2.3.10)

-----> Installing node-v16.13.1-linux-x64

-----> Installing yarn-v1.22.17

-----> Detecting rake tasks

-----> Preparing app for Rails asset pipeline

Running: rake assets:precompile

I, [2023-01-25T08:43:54.431426#1513-6240] INFO -- : Using Zammad's file store as Rails cache store.

I, [2023-01-25T08:43:54.431754#1513-6240] INFO -- : Using the File back end for Zammad's web socket session store.

rake aborted!

Rszr::LoadError: Unsupported format

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/rszr-1.3.0/lib/rszr/image.rb:15:in `_load'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/rszr-1.3.0/lib/rszr/image.rb:15:in `load'

/tmp/d20230125-37-1hj77ix/opt/zammad/lib/core_ext/rszr.rb:18:in `needs_autorotate_fix?'

/tmp/d20230125-37-1hj77ix/opt/zammad/config/initializers/rszr.rb:8:in `<main>'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:326:in `load'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:326:in `block in load'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:299:in `load_dependency'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:326:in `load'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/engine.rb:681:in `block in load_config_initializer'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/notifications.rb:205:in `instrument'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/engine.rb:680:in `load_config_initializer'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/engine.rb:634:in `block (2 levels) in <class:Engine>'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/engine.rb:633:in `each'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/engine.rb:633:in `block in <class:Engine>'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/initializable.rb:32:in `instance_exec'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/initializable.rb:32:in `run'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/initializable.rb:61:in `block in run_initializers'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/initializable.rb:50:in `each'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/initializable.rb:50:in `tsort_each_child'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/initializable.rb:60:in `run_initializers'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/application.rb:391:in `initialize!'

/tmp/d20230125-37-1hj77ix/opt/zammad/config/environment.rb:7:in `<main>'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/bootsnap-1.15.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:32:in `require'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/bootsnap-1.15.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:32:in `require'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/zeitwerk-2.6.6/lib/zeitwerk/kernel.rb:38:in `require'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:332:in `block in require'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:299:in `load_dependency'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/activesupport-6.1.7.1/lib/active_support/dependencies.rb:332:in `require'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/application.rb:367:in `require_environment!'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/railties-6.1.7.1/lib/rails/application.rb:533:in `block in run_tasks_blocks'

/tmp/d20230125-37-1hj77ix/opt/zammad/vendor/bundle/ruby/3.1.0/gems/sprockets-rails-3.4.2/lib/sprockets/rails/task.rb:61:in `block (2 levels) in define'

Tasks: TOP => environment

(See full trace by running task with --trace)



!

! Precompiling assets failed.

!

! ERROR: compile failed

Failed to package application

tar: This does not look like a tar archive

tar: Exiting with failure status due to previous errors

! FAILED - Build error.

! Please contact support.